{% extends 'index.html' %}
{% load static %}
{% load helper_tags %}

{% block title %}{{ auto.mark_auto|default_if_none:'' }} {{ auto.model_auto|default_if_none:'' }} {{ auto.generation|default_if_none:'' }}{% endblock title %}
{% block header-js %}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/vue-upload-component.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/validators.js' %}"></script>
{% endblock %}
{% block page %}
  <div class="car-detail">
    <div class="car-detail__gallery">
      <div class="swiper swiper_loading swiper_h swiper_gallery">
        <div class="swiper__mask">
          <div class="swiper__container">
            <div class="swiper__wrapper">
              {% if field_perms.auto.photos_auto and photos %}§
                {% for photo in photos %}
                  {% if photo.image and photo.image.url %}
                    <div class="swiper__slide"><img class="swiper__img" src="{{ photo.image.url }}"/></div>
                  {% endif %}
                {% endfor %}
              {% endif %}
            </div>
          </div>
        </div>
        <div class="swiper__pagination"></div>
        <div class="swiper__button swiper__button_prev">
          <div class="btn btn_m btn_circle btn_white btn_controls">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_arrow-right_24"></use>
              </svg>
            </div>
          </div>
        </div>
        <div class="swiper__button swiper__button_next">
          <div class="btn btn_m btn_circle btn_white btn_controls">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_arrow-right_24"></use>
              </svg>
            </div>
          </div>
        </div>
        <div class="swiper__expand">
          <div class="btn btn_circle btn_m btn_white">
            <div class="btn__icon btn__icon_close icon icon_m">
              <svg>
                <use xlink:href="#icon_close_24"></use>
              </svg>
            </div>
            <div class="btn__icon btn__icon_zoom icon icon_m">
              <svg>
                <use xlink:href="#icon_search_24"></use>
              </svg>
            </div>
          </div>
        </div>
      </div>
      <script>
        swiperFullscreen = function () {
            if ($('html').hasClass('html_swiper')) {
                $('html').removeClass('html_swiper');
                $('.car-detail__gallery .swiper').addClass('swiper_gallery').removeClass('swiper_fullscreen');

                swiperGallery.update(true);
            } else {
                $('html').addClass('html_swiper');

                $('.car-detail__gallery .swiper').removeClass('swiper_gallery').addClass('swiper_fullscreen');

                swiperGallery.update(true);
            }
        };

        $(window).on('load', function () {
            swiperGallery = new Swiper('.car-detail__gallery .swiper__container', {
                slidesPerView: 'auto',
                pagination: '.car-detail__gallery .swiper__pagination',
                nextButton: '.car-detail__gallery .swiper__button_next',
                prevButton: '.car-detail__gallery .swiper__button_prev',
                paginationClickable: true,
                centeredSlides: true
            });
            $(document).on('click', '.car-detail__gallery .swiper__expand .btn', function () {
              swiperFullscreen();
            });
        });

      </script>
    </div>
    <div id="auto-detail" class="car-detail__content">
      <div class="car-detail__header header header_controls">
        <div class="header__main">
          <h1 class="car-detail__title">
            {{ auto.mark_auto|default_if_none:'' }} {{ auto.model_auto|default_if_none:'' }} {{ auto.generation|default_if_none:'' }}
            {% if field_perms.auto.resell %}
              {% if auto.resell %}
                <div class="car-detail__status status status_progress status_l">перекуп</div>
              {% endif %}
            {% endif %}
          </h1>
          <div class="car-detail__sub-title">
            <div class="car-detail__specs">
              {% if field_perms.auto.year_auto and auto.year_auto and not auto.recommended %}
                <h3 class="car-detail__date">{{ auto.year_auto }}</h3>
              {% endif %}
              {% if field_perms.auto.mileage and auto.mileage %}
                  {% if not get_new_report.mileage %}
                    <h3 class="car-detail__mileage">{{ auto.mileage }} км</h3>
                  {% else %}
                    <h3 class="car-detail__mileage">{{ get_new_report.mileage  }} км</h3>
                  {% endif %}
              {% endif %}
              {% if field_perms.auto.cost and auto.cost %}
                <h3 class="car-detail__price">{{ auto.cost }} ₽</h3>
              {% endif %}
            </div>
          </div>
        </div>
        <div class="header__controls">
          <div class="dropdown">
            <div class="dropdown__control" @click="openDropdown">
              <div class="btn btn_m btn_square btn_primary">
                <div class="btn__icon icon icon_24">
                  <svg>
                    <use xlink:href="#icon_menu_24"></use>
                  </svg>
                </div>
              </div>
            </div>
            <div class="dropdown__content">
              <div class="menu-controls">
                {% if perms.report.view_reportpodbor and not auto.recommended %}
                  <div class="menu-controls__item"><a class="menu-controls__link" href="{% url 'report:reports_by_car' auto.id %}">Список отчетов</a></div>
                {% endif %}
                {% if perms.auto.change_auto and not auto.recommended %}
                  <div class="menu-controls__item"><a class="menu-controls__link" href="{% url 'auto:auto_edit' auto.id %}">Редактировать</a></div>
                {% endif %}
                  {% if auto.recommended %}
                    <div class="menu-controls__item"><a class="menu-controls__link" href="{% url 'auto:recommended_edit' auto.id %}">Редактировать</a></div>
                    <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer" @click.prevent="salesObject({{ auto.id }})">Проданно</a></div>
                  {% endif %}
                {% if perms.report.add_reportpodbor and not auto.recommended %}
                  <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click="addReport($event, {{ auto.id }})">Добавить отчёт</a></div>
                {% endif %}

                  {% if auto.recommended %}
                     <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click="removeRecommendedCar({{ auto.id }})">Удалить</a></div>
                  {% endif %}
                  {% if not auto.recommended and perms.auto.delete_auto%}
                     <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click="removeCar({{ auto.id }})">Удалить</a></div>
                  {% endif %}

              </div>
            </div>
          </div>
          <!--.btn.btn_primary.btn_m.btn_circle
          .btn__icon.icon.icon_m
              svg
                  use(xlink:href='#icon_menu_24')
          -->
        </div>
      </div>
      <div class="car-detail__body">
        <div class="car-detail__info">
          <div class="data-table data-table_default">
            {% if field_perms.auto.vin and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">VIN</div>
                <div class="data-table__val">{{ auto.vin|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.owners and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Кол-во владельцев</div>
                <div class="data-table__val">{{ auto.owners|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.state and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Состояние</div>
                <div class="data-table__val">{{ auto.state|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.body_type_auto and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Кузов</div>
                <div class="data-table__val">{{ auto.body_type_auto|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.color_auto and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Цвет</div>
                <div class="data-table__val">{{ auto.color_auto|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.engine_type and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Двигатель</div>
                <div class="data-table__val">{{ auto.get_engine_type_display|default_if_none:"-" }}</div>
              </div>
            {% endif %}

              {% if auto.recommended %}
                  <div class="data-table__item">
                      <div class="data-table__var">Дата добавления</div>
                      <div class="data-table__val">{{ auto.created|date:'Y-m-d H:i' }}</div>
                  </div>
              {% endif %}

            {% if field_perms.auto.year_auto %}
              <div class="data-table__item">
                <div class="data-table__var">Год выпуска</div>
                <div class="data-table__val">{{ auto.year_auto|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.engine_capacity and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Объём</div>
                <div class="data-table__val">{{ auto.get_engine_capacity_display|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.horsepower and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Мощность</div>
                <div class="data-table__val">{{ auto.horsepower|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.transmission_type and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Трансмиссия</div>
                <div class="data-table__val">{{ auto.get_transmission_type_display|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.drive_type and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Привод</div>
                <div class="data-table__val">{{ auto.get_drive_type_display|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.salon_auto and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Салон</div>
                <div class="data-table__val">{{ auto.salon_auto|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.color_salon and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">Цвет салона</div>
                <div class="data-table__val">{{ auto.color_salon|default_if_none:"-" }}</div>
              </div>
            {% endif %}
          </div>
          {% if field_perms.auto.comment %}
            <div class="car-detail__description">
              <div class="editor">
                <p>{{ auto.comment|default_if_none:"" }}</p>
              </div>
            </div>
          {% endif %}
        </div>
        <div class="car-detail__contacts">
          <div class="data-table data-table_default">
            {% if field_perms.auto.author_type %}
              <div class="data-table__item">
                <div class="data-table__var">владелец</div>
                <div class="data-table__val">{{ auto.get_author_type_display|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.author %}
              <div class="data-table__item">
                <div class="data-table__var">имя</div>
                <div class="data-table__val">{{ auto.author|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.phone %}
              <div class="data-table__item">
                <div class="data-table__var">телефон</div>
                <div class="data-table__val">{{ auto.phone|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.location %}
              <div class="data-table__item">
                <div class="data-table__var">территориально</div>
                <div class="data-table__val">{{ auto.location|default_if_none:"-" }}</div>
              </div>
            {% endif %}
            {% if field_perms.auto.source and not auto.recommended %}
              <div class="data-table__item">
                <div class="data-table__var">источник</div>
                <div class="data-table__val"><a class="link link_title nowrap" href="{{ auto.source }}">{{ auto.source|default_if_none:"-" }}</a></div>
              </div>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
  </div>

    {% if not auto.recommended %}
        <div id="report-list" class="reports" v-cloak>
            <div class="section section_default">
                <div class="section__content">
                    <div class="section__header header header_listing">
                        <div class="header__main">
                            <h1>Отчёты<span class="section__count">${ count }</span></h1>
                        </div>
                    </div>
                    <div class="section__body">
                        {% include 'report/reports.html' %}
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

{% endblock %}

{% block script %}
  {{ block.super }}
  <script>
    var store = {
      state: {
        filter: '',
        filterCount: 0
      }
    }
  </script>
  <script src="{% static 'js/autodetail.bundle.js' %}"></script>
  <script src="{% static 'js/reportlist.bundle.js' %}"></script>
{% endblock %}
